## kubecolor 0.0.9

=== debian/changelog ===
kubecolor (0.0.9-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 30 Jan 2021 15:54:57 -0600

kubecolor (0.0.9-2) unstable; urgency=medium

  * Re-upload as source only

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Jan 2021 18:05:51 -0600

kubecolor (0.0.9-1) unstable; urgency=medium

  * Initial release (Closes: 980179)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 15 Jan 2021 11:43:07 -0600

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_dwz:
	# Skip. Fails on golang packages

## kubecolor 0.0.20

=== Makefile ===
.PHONY: testshort
testshort:
	go test -timeout 30s -count=1 ./... -test.short

.PHONY: coverage
coverage:
	go test -timeout 30s -count=1 ./... -test.short -coverprofile=coverage.txt

.PHONY: e2etest
e2etest:
	go test -timeout 30s -count=1 ./e2etest -v

=== debian/changelog ===
kubecolor (0.0.20-2) unstable; urgency=medium

  * Include README in /usr/share/doc/kubecolor

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 14 Apr 2022 12:34:53 -0500

kubecolor (0.0.20-1) unstable; urgency=medium

  * New upstream release (Closes: 1004044)
  * Update standards version to 4.6.0.1 (no changes)

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 20 Jan 2022 00:22:41 -0600

=== debian/control ===
Source: kubecolor
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-makenowjust-heredoc-dev,
               golang-github-mattn-go-colorable-dev,
               golang-github-mattn-go-isatty-dev
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/kubecolor
Vcs-Git: https://salsa.debian.org/go-team/packages/kubecolor.git
Homepage: https://github.com/dty1er/kubecolor
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/dty1er/kubecolor

Package: kubecolor
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Enhances: kubernetes-client
Built-Using: ${misc:Built-Using}
Description: colorizes kubectl output
 kubecolor colorizes your kubectl command output and does nothing else.
 kubecolor internally calls kubectl command and try to colorizes the output so
 you can use kubecolor as a complete alternative of kubectl

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kubecolor-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/dty1er/kubecolor/tags .*/v?(\d\S*)\.tar\.gz debian
